/*---------------------------------------Main Container-----------------------------------*/

.container {
  padding: 10vh 3vw 1vh 3vw;
  margin-top: 14vh;
}
/*---Promotion Image---*/

.promotion-content {
  width: 95%;
  height: 38vh;
  border-radius: 15px;
}

.promotion-content .promo-img {
  width: 95%;
  height: 38vh;
  margin-left: 2vw;
}

.second-promotion {
  margin-top: 5vh;
}
/*-----Categories and  product----*/

.landingpage-category {
  border-bottom: 1px solid #d3d7e2;
}

.heading-bar {
  display: flex;
  justify-content: space-between;
}

.heading {
  display: flex;
  margin-top: 4vh;
  font-family: "ABeeZee", sans-serif;
  font-size: x-large;
  width: 20vw;
  font-weight: 600;
}
/*----View All Box-------*/

.view-all-box {
  display: flex;
  height: 5vh;
  width: 7vw;
  background-color: #f2f2f2;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  margin-top: 2vh;
}

.view-all-box a {
  text-decoration: none;
  font-size: 1.6vw;
}

.landingpage-product {
  height: 48vh;
  width: 90vw;
  margin-top: 1vh;
}
/*----------product---------*/

.product {
  height: 45vh;
  width: 15vw;
  background: #ececec;
  border-radius: 1vh;
  margin-top: 1vh;
  margin-left: 1vw;
}

.product img {
  height: 28vh;
  width: 13vw;
  margin-top: 1vh;
  margin-left: 1vw;
}
/*product details*/

.product-details .product-title {
  font-size: large;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}

.product-details p {
  margin-left: 1vw;
  font-size: 1vw;
}

.product-details .product-writer {
  white-space: nowrap;
  width: 13vw;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
}

.price-and-button {
  display: flex;
  justify-content: space-between;
  margin-top: 1vh;
  font-size: 2vw;
}

.price-and-button p {
  margin-left: 1vw;
  font-size: 1vw;
}

.add-to-cart {
  height: 4vh;
  width: 6vw;
  border: none;
  background: #cbcbcb;
  margin-right: 1vw;
  font-size: 1vw;
  cursor: pointer;
}

.add-to-cart:hover {
  background: #737373;
}
/*---------------Some categories card--------------*/

.categories-card {
  margin: 4vh;
  padding-top: 1vh;
  height: fit-content;
  border: 1px solid #d3d7e2;
  box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
}

.categories-card .heading {
  display: flex;
  justify-content: space-between;
  width: 80vw;
  padding-left: 35vw;
  position: sticky;
  top: 0;
}

.categories-card .heading p {
  font-family: "Merriweather", serif;
  font-weight: bold;
  font-size: xx-large;
  /* padding-left: 35vw; */
  color: #00838d;
}

.card-boxes {
  height: fit-content;
  display: flex;
  flex-wrap: wrap;
  transition: all 0.3s ease-out;
  margin-top: 2vh;
  margin-left: 3vw;
  margin-right: 3vw;
  margin-bottom: 3vh;
}

.card-boxes::-webkit-scrollbar {
  display: none;
}

.card {
  display: block;
  top: 0px;
  position: relative;
  height: fit-content;
  max-width: 220px;
  min-width: 220px;
  background-color: #ebf6f8;
  border-radius: 4px;
  padding: 18px 20px;
  margin: 0.5vh;
  margin-left: 4.5vw;
  text-decoration: none;
  z-index: 0;
  overflow: hidden;
  border: 1px solid #f2f8f9;
}

.card:hover {
  transition: all 0.2s ease-out;
  box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
  top: -4px;
  border: 1px solid #cccccc;
  background-color: white;
}

.card:before {
  content: "";
  position: absolute;
  z-index: -1;
  top: -16px;
  right: -16px;
  background: #00838d;
  height: 32px;
  width: 32px;
  border-radius: 32px;
  transform: scale(2);
  transform-origin: 50% 50%;
  transition: transform 0.15s ease-out;
}

.card:hover:before {
  transform: scale(2.15);
}

.card h3 {
  color: #262626;
  font-size: 17px;
  line-height: 24px;
  font-weight: 700;
  top: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}

.go-corner {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  width: 32px;
  height: 32px;
  overflow: hidden;
  top: 0;
  right: 0;
  background-color: #00838d;
  border-radius: 0 4px 0 32px;
}

.go-arrow {
  margin-top: -4px;
  margin-right: -4px;
  color: white;
  font-family: courier, sans;
}
/*----Link to all product or Category page------*/
.show-all {
  margin-top: 5vh;
  display: flex;
  justify-content: space-between;
}

.show-all a {
  background-color: #54838690;
  color:#851f5b;
  text-decoration: none;
  height: 6vh;
  width: fit-content;
  padding-top: 0.5vw;
  padding-left: 0.5vw;
  padding-right: 0.5vw;
  border-radius: 3vw;
  font-size: 1.5vw;
}

/*------------------Responsive For width less than 700px------------------------*/

@media only screen and (max-width: 700px) {
  .container {
    padding: 14vh 3vw 1vh 3vw;
    margin-top: 6vh;
  }
  /*---Promotion Image---*/
  .promotion-content {
    height: 22vh;
  }
  .promotion-content .promo-img {
    height: 22vh;
  }

  .heading {
    width: 40vw;
    margin-top: 4vh;
    font-size: large;
  }
  .heading img {
    margin-top: 1vh;
  }
  /*View All Box*/
  .view-all-box {
    height: 4vh;
    width: 15vw;
    margin-top: 3vh;
  }
  .view-all-box a {
    font-size: 3vw;
  }
  /* Product */
  .landingpage-product {
    height: 38vh;
  }
  .product {
    height: 34vh;
    width: 30vw;
    margin-left: 4vw;
  }
  .product img {
    height: 17vh;
    width: 27vw;
    margin-left: 1.5vw;
  }
  .product-details .product-title {
    font-size: 12px;
    font-weight: bold;
  }
  .product-details .product-writer {
    width: 25vw;
  }
  .product-details p {
    font-size: 11px;
    margin-top: 1vh;
  }
  .price-and-button {
    margin-top: 2vh;
  }
  .price-and-button p {
    font-size: 10px;
  }
  .add-to-cart {
    height: 20px;
    width: 47px;
    font-size: 9px;
  }
  /*Some categories card*/
  .categories-card {
    padding-top: 0;
  }
  .categories-card .heading {
    width: 75vw;
    padding-left: 3vw;
  }
  .categories-card .heading p {
    font-size: 6vw;
    top: 0;
    padding-left: 0;
    width: 100%;
    text-align: center;
    margin-left: -1vw;
  }
  .card {
    height: fit-content;
    max-width: 100%;
    min-width: 100%;
    padding: 10px 20px;
    margin-left: 0;
  }

  .card h6 {
    font-size: 11px;
    line-height: 20px;
  }

  /* Link to all product or Category page */

  .show-all a {
    height: 4vh;
    width: fit-content;
    border-radius: 4vw;
    font-size: 3vw;
    padding: 2vw;
  }
}
